MCP Tools Reference: developerknowledge.googleapis.com

ツール: answer_query

answer_query を使用すると、Google デベロッパー プロダクトに関するクエリに対して、根拠に基づいた回答を得ることができます。このツールには割り当ての制限があります。このツールは、コーパスから情報を合成してクエリの回答を生成します。answer_query は、search_documents と同じコーパスを使用して回答の根拠を特定します。割り当て超過による 429 エラーが発生した場合は、代わりに search_documents を使用してください。

次のサンプルは、curl を使用して answer_query MCP ツールを呼び出す方法を示しています。

Curl リクエスト
                  
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "answer_query",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

AnswerQuery のリクエスト メッセージです。

AnswerQueryRequest

JSON 表現
{
  "query": string
}
フィールド
query

string

必須。回答するクエリ。

出力スキーマ

AnswerQuery に対するレスポンス メッセージです。

AnswerQueryResponse

JSON 表現
{
  "answerText": string
}
フィールド
answerText

string

クエリに対する回答。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ✅ | 読み取り専用ヒント: ✅ | オープン ワールド ヒント: ❌